View Issue Details

IDProjectCategoryView StatusLast Update
0003781GNUnetutil librarypublic2018-06-07 00:25
ReporterellAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSXubu-14.04-64amdOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003781: Revision 35567, Make fails
DescriptionIn file included from ../../src/include/gnunet_crypto_lib.h:56:0,
                 from ../../src/include/gnunet_util_lib.h:39,
                 from gnunet-service-wdht_neighbours.c:28:
gnunet-service-wdht_neighbours.c: In function ‘GDS_NEIGHBOURS_done’:
gnunet-service-wdht_neighbours.c:866:59: error: ‘friend_peermap’ undeclared (first use in this function)
   GNUNET_assert (0 == GNUNET_CONTAINER_multipeermap_size (friend_peermap));
                                                           ^
../../src/include/gnunet_common.h:590:41: note: in definition of macro ‘GNUNET_assert’
 #define GNUNET_assert(cond) do { if (! (cond)) { GNUNET_log(GNUNET_ERROR_TYPE_ERROR, _("Assertion failed at %s:%d.\n"), __FILE__, __LINE__); GNUNET_abort_(); } } while(0)
                                         ^
gnunet-service-wdht_neighbours.c: At top level:
gnunet-service-wdht_neighbours.c:411:38: warning: ‘trail_timeout_task’ defined but not used [-Wunused-variable]
 static struct GNUNET_SCHEDULER_Task *trail_timeout_task;
                                      ^
gnunet-service-wdht_neighbours.c:431:46: warning: ‘tail_map’ defined but not used [-Wunused-variable]
 static struct GNUNET_CONTAINER_MultiHashMap *tail_map;
                                              ^
gnunet-service-wdht_neighbours.c:436:38: warning: ‘tail_heap’ defined but not used [-Wunused-variable]
 static struct GNUNET_CONTAINER_Heap *tail_heap;
                                      ^
make[2]: *** [gnunet-service-wdht_neighbours.o] Fehler 1
make[2]: Verzeichnis »/home/ell/gnunet/src/dht« wird verlassen
make[1]: *** [install-recursive] Fehler 1
make[1]: Verzeichnis »/home/ell/gnunet/src« wird verlassen
make: *** [install-recursive] Fehler 1
TagsNo tags attached.

Activities

Christian Grothoff

2015-04-29 13:48

manager   ~0009107

Fixed in SVN HEAD, sorry for the disruption.

Issue History

Date Modified Username Field Change
2015-04-27 20:38 ell New Issue
2015-04-29 11:47 Christian Grothoff Assigned To => Christian Grothoff
2015-04-29 11:47 Christian Grothoff Status new => assigned
2015-04-29 11:49 Christian Grothoff Target Version => 0.11.0pre66
2015-04-29 13:48 Christian Grothoff Note Added: 0009107
2015-04-29 13:48 Christian Grothoff Status assigned => resolved
2015-04-29 13:48 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-04-29 13:48 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed